Subject: bug#4922: closed (Re: bug#4922: <control>)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 26 Feb 2014 16:56:03 +0000

Your bug report

#4922: <control>

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
4922: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4922
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4922: <control>
From: Eli Zaretskii <[email-masked]>
To: Per Starbäck <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Wed, 26 Feb 2014 18:55:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 26 Feb 2014 15:14:49 +0100
> From: Per Starbäck <[email-masked]>
> Cc: Xue Fuqiao <[email-masked]>, [email-masked]
> 
> > And AFAICT it does seem to be fixed.  Should it be closed?
> >
> > http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16216
> 
> That 16216 is a duplicate of this bug, isn't it? Since it is fixed the
> original is also fixed.

Yes, closing.

Subject: <control>
From: Per Starbäck <[email-masked]>
To: [email-masked]
Date: Fri, 13 Nov 2009 21:58:57 +0100

emacs -q
  C-x 8 RET < TAB RET
completes to "<control>" which inserts \237.

I didn't expect "<control>" to be a valid completion there.

The reason is that control characters have "<control>" in the second field in
admin/unidata/UnicodeData.txt (and \237 is the last such character.

Suggestion: Skip the <control> names in unidata-gen-table.

When I looked around for this I noticed a very minor thing in
ucs-names in mule-cmds.el.
It says
	      (dotimes-with-progress-reporter (c #xEFFFF)
but I think the limit ought to be #xF0000, which is where Plane 15
starts, since dotimes-with-progress-reporter
has that as an exclusive limit. (In practice it doesn't matter. At
least not for the time being.)